#include "block_file_accessor.h"
#include "block_file_opener.h"

/* Return a new accessor for 'fileid'. */

Accessor *BlockFileOpener::make_accessor(fileid_t fileid)
{
    FilePaths::iterator found = _paths.find(fileid);

    if (found != _paths.end())
        return new BlockFileAccessor(found->second, fileid);
    else
        return NULL;
}

// vim: tabstop=4 expandtab shiftwidth=4
